Bug 188409 - gfortran compiler error in simplify_subreg
gfortran compiler error in simplify_subreg
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-09 05:25 EDT by Enrico Segre
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 02:36:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fortran file causing the bug (2.01 KB, text/plain)
2006-04-09 05:25 EDT, Enrico Segre
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 22375 None None None Never

  None (edit)
Description Enrico Segre 2006-04-09 05:25:34 EDT
Created attachment 127520 [details]
fortran file causing the bug
Comment 1 Enrico Segre 2006-04-09 05:25:34 EDT
Description of problem:
gfortran compiler error compiling a particular file with optimization


Version-Release number of selected component (if applicable):
gcc-gfortran-4.1.0-3

How reproducible:
Always on my machine


Steps to Reproduce:
 gfortran -O -fdefault-real-8 -fdefault-integer-8 -fbounds-check -c subregBug.f

  
Actual results:
gfortran -O -fdefault-real-8 -fdefault-integer-8 -fbounds-check -c subregBug.f
subregBug.f: In function 'mem_force':
subregBug.f:46: internal compiler error: in simplify_subreg, at simplify-rtx.c:3813
Please submit a full bug report,
with preprocessed source if appropriate.


Expected results:

Compilation should succeed (and indeed does if the -O switch is left out)

Additional info:
uname -a
Linux 2.6.16-1.2080_FC5 #1 Tue Mar 28 03:38:34 EST 2006 i686 i686 i386 GNU/Linux
Comment 2 Jakub Jelinek 2006-04-10 11:05:42 EDT
This is fixed by http://gcc.gnu.org/PR22375 fix on GCC trunk, will put backport
in the next cut of rawhide gcc packages.
Comment 3 Jakub Jelinek 2006-04-11 02:36:06 EDT
Should be fixed in gcc-4.1.0-7.

Note You need to log in before you can comment on or make changes to this bug.